<?php



$tdatatb_lista_medicamentos = array();
$tdatatb_lista_medicamentos[".searchableFields"] = array();
$tdatatb_lista_medicamentos[".ShortName"] = "tb_lista_medicamentos";
$tdatatb_lista_medicamentos[".OwnerID"] = "";
$tdatatb_lista_medicamentos[".OriginalTable"] = "tb_lista medicamentos";


$tdatatb_lista_medicamentos[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_lista_medicamentos[".originalPagesByType"] = $tdatatb_lista_medicamentos[".pagesByType"];
$tdatatb_lista_medicamentos[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_lista_medicamentos[".originalPages"] = $tdatatb_lista_medicamentos[".pages"];
$tdatatb_lista_medicamentos[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_lista_medicamentos[".originalDefaultPages"] = $tdatatb_lista_medicamentos[".defaultPages"];

//	field labels
$fieldLabelstb_lista_medicamentos = array();
$fieldToolTipstb_lista_medicamentos = array();
$pageTitlestb_lista_medicamentos = array();
$placeHolderstb_lista_medicamentos = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_lista_medicamentos["English"] = array();
	$fieldToolTipstb_lista_medicamentos["English"] = array();
	$placeHolderstb_lista_medicamentos["English"] = array();
	$pageTitlestb_lista_medicamentos["English"] = array();
	$fieldLabelstb_lista_medicamentos["English"]["medicamentoID"] = "ID";
	$fieldToolTipstb_lista_medicamentos["English"]["medicamentoID"] = "";
	$placeHolderstb_lista_medicamentos["English"]["medicamentoID"] = "";
	$fieldLabelstb_lista_medicamentos["English"]["nome_fantasia"] = "Nome Fantasia";
	$fieldToolTipstb_lista_medicamentos["English"]["nome_fantasia"] = "";
	$placeHolderstb_lista_medicamentos["English"]["nome_fantasia"] = "";
	$fieldLabelstb_lista_medicamentos["English"]["nome_generico"] = "Nome Genérico ";
	$fieldToolTipstb_lista_medicamentos["English"]["nome_generico"] = "";
	$placeHolderstb_lista_medicamentos["English"]["nome_generico"] = "";
	$fieldLabelstb_lista_medicamentos["English"]["indicacao"] = "Indicação ";
	$fieldToolTipstb_lista_medicamentos["English"]["indicacao"] = "";
	$placeHolderstb_lista_medicamentos["English"]["indicacao"] = "";
	$fieldLabelstb_lista_medicamentos["English"]["posologia"] = "Posologia";
	$fieldToolTipstb_lista_medicamentos["English"]["posologia"] = "";
	$placeHolderstb_lista_medicamentos["English"]["posologia"] = "";
	$fieldLabelstb_lista_medicamentos["English"]["reacoes_adversas"] = "Reações Adversas";
	$fieldToolTipstb_lista_medicamentos["English"]["reacoes_adversas"] = "";
	$placeHolderstb_lista_medicamentos["English"]["reacoes_adversas"] = "";
	if (count($fieldToolTipstb_lista_medicamentos["English"]))
		$tdatatb_lista_medicamentos[".isUseToolTips"] = true;
}


	$tdatatb_lista_medicamentos[".NCSearch"] = true;



$tdatatb_lista_medicamentos[".shortTableName"] = "tb_lista_medicamentos";
$tdatatb_lista_medicamentos[".nSecOptions"] = 0;

$tdatatb_lista_medicamentos[".mainTableOwnerID"] = "";
$tdatatb_lista_medicamentos[".entityType"] = 0;

$tdatatb_lista_medicamentos[".strOriginalTableName"] = "tb_lista medicamentos";

	



$tdatatb_lista_medicamentos[".showAddInPopup"] = false;

$tdatatb_lista_medicamentos[".showEditInPopup"] = false;

$tdatatb_lista_medicamentos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_lista_medicamentos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_lista_medicamentos[".listAjax"] = false;
//	temporary
$tdatatb_lista_medicamentos[".listAjax"] = false;

	$tdatatb_lista_medicamentos[".audit"] = false;

	$tdatatb_lista_medicamentos[".locking"] = false;


$pages = $tdatatb_lista_medicamentos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_lista_medicamentos[".edit"] = true;
	$tdatatb_lista_medicamentos[".afterEditAction"] = 0;
	$tdatatb_lista_medicamentos[".closePopupAfterEdit"] = 1;
	$tdatatb_lista_medicamentos[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_lista_medicamentos[".add"] = true;
$tdatatb_lista_medicamentos[".afterAddAction"] = 0;
$tdatatb_lista_medicamentos[".closePopupAfterAdd"] = 1;
$tdatatb_lista_medicamentos[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_lista_medicamentos[".list"] = true;
}



$tdatatb_lista_medicamentos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_lista_medicamentos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_lista_medicamentos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_lista_medicamentos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_lista_medicamentos[".printFriendly"] = true;
}



$tdatatb_lista_medicamentos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_lista_medicamentos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_lista_medicamentos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_lista_medicamentos[".isUseAjaxSuggest"] = true;

$tdatatb_lista_medicamentos[".rowHighlite"] = true;





$tdatatb_lista_medicamentos[".ajaxCodeSnippetAdded"] = false;

$tdatatb_lista_medicamentos[".buttonsAdded"] = false;

$tdatatb_lista_medicamentos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_lista_medicamentos[".isUseTimeForSearch"] = false;


$tdatatb_lista_medicamentos[".badgeColor"] = "D2691E";


$tdatatb_lista_medicamentos[".allSearchFields"] = array();
$tdatatb_lista_medicamentos[".filterFields"] = array();
$tdatatb_lista_medicamentos[".requiredSearchFields"] = array();

$tdatatb_lista_medicamentos[".googleLikeFields"] = array();
$tdatatb_lista_medicamentos[".googleLikeFields"][] = "medicamentoID";
$tdatatb_lista_medicamentos[".googleLikeFields"][] = "nome_fantasia";
$tdatatb_lista_medicamentos[".googleLikeFields"][] = "nome_generico";
$tdatatb_lista_medicamentos[".googleLikeFields"][] = "indicacao";
$tdatatb_lista_medicamentos[".googleLikeFields"][] = "posologia";
$tdatatb_lista_medicamentos[".googleLikeFields"][] = "reacoes_adversas";



$tdatatb_lista_medicamentos[".tableType"] = "list";

$tdatatb_lista_medicamentos[".printerPageOrientation"] = 0;
$tdatatb_lista_medicamentos[".nPrinterPageScale"] = 100;

$tdatatb_lista_medicamentos[".nPrinterSplitRecords"] = 40;

$tdatatb_lista_medicamentos[".geocodingEnabled"] = false;










$tdatatb_lista_medicamentos[".pageSize"] = 20;

$tdatatb_lista_medicamentos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_lista_medicamentos[".strOrderBy"] = $tstrOrderBy;

$tdatatb_lista_medicamentos[".orderindexes"] = array();

$tdatatb_lista_medicamentos[".sqlHead"] = "SELECT medicamentoID,  	nome_fantasia,  	nome_generico,  	indicacao,  	posologia,  	reacoes_adversas";
$tdatatb_lista_medicamentos[".sqlFrom"] = "FROM `tb_lista medicamentos`";
$tdatatb_lista_medicamentos[".sqlWhereExpr"] = "";
$tdatatb_lista_medicamentos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_lista_medicamentos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_lista_medicamentos[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_lista_medicamentos[".highlightSearchResults"] = true;

$tableKeystb_lista_medicamentos = array();
$tableKeystb_lista_medicamentos[] = "medicamentoID";
$tdatatb_lista_medicamentos[".Keys"] = $tableKeystb_lista_medicamentos;


$tdatatb_lista_medicamentos[".hideMobileList"] = array();




//	medicamentoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "medicamentoID";
	$fdata["GoodName"] = "medicamentoID";
	$fdata["ownerTable"] = "tb_lista medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_lista_medicamentos","medicamentoID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "medicamentoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "medicamentoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_lista_medicamentos["medicamentoID"] = $fdata;
		$tdatatb_lista_medicamentos[".searchableFields"][] = "medicamentoID";
//	nome_fantasia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nome_fantasia";
	$fdata["GoodName"] = "nome_fantasia";
	$fdata["ownerTable"] = "tb_lista medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_lista_medicamentos","nome_fantasia");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "nome_fantasia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nome_fantasia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_lista_medicamentos["nome_fantasia"] = $fdata;
		$tdatatb_lista_medicamentos[".searchableFields"][] = "nome_fantasia";
//	nome_generico
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "nome_generico";
	$fdata["GoodName"] = "nome_generico";
	$fdata["ownerTable"] = "tb_lista medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_lista_medicamentos","nome_generico");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "nome_generico";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "nome_generico";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_lista_medicamentos["nome_generico"] = $fdata;
		$tdatatb_lista_medicamentos[".searchableFields"][] = "nome_generico";
//	indicacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "indicacao";
	$fdata["GoodName"] = "indicacao";
	$fdata["ownerTable"] = "tb_lista medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_lista_medicamentos","indicacao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "indicacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "indicacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_lista_medicamentos["indicacao"] = $fdata;
		$tdatatb_lista_medicamentos[".searchableFields"][] = "indicacao";
//	posologia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "posologia";
	$fdata["GoodName"] = "posologia";
	$fdata["ownerTable"] = "tb_lista medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_lista_medicamentos","posologia");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "posologia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "posologia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_lista_medicamentos["posologia"] = $fdata;
		$tdatatb_lista_medicamentos[".searchableFields"][] = "posologia";
//	reacoes_adversas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "reacoes_adversas";
	$fdata["GoodName"] = "reacoes_adversas";
	$fdata["ownerTable"] = "tb_lista medicamentos";
	$fdata["Label"] = GetFieldLabel("tb_lista_medicamentos","reacoes_adversas");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "reacoes_adversas";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "reacoes_adversas";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=500";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_lista_medicamentos["reacoes_adversas"] = $fdata;
		$tdatatb_lista_medicamentos[".searchableFields"][] = "reacoes_adversas";


$tables_data["tb_lista medicamentos"]=&$tdatatb_lista_medicamentos;
$field_labels["tb_lista_medicamentos"] = &$fieldLabelstb_lista_medicamentos;
$fieldToolTips["tb_lista_medicamentos"] = &$fieldToolTipstb_lista_medicamentos;
$placeHolders["tb_lista_medicamentos"] = &$placeHolderstb_lista_medicamentos;
$page_titles["tb_lista_medicamentos"] = &$pageTitlestb_lista_medicamentos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_lista medicamentos"] = array();
//	tb_peco_medicamento
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_peco_medicamento";
		$detailsParam["dOriginalTable"] = "tb_peco_medicamento";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_peco_medicamento";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_peco_medicamento");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_lista medicamentos"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_lista medicamentos"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_lista medicamentos"][$dIndex]["masterKeys"][]="medicamentoID";

				$detailsTablesData["tb_lista medicamentos"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_lista medicamentos"][$dIndex]["detailKeys"][]="medicamentoID";

// tables which are master tables for current table (detail)
$masterTablesData["tb_lista medicamentos"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_lista_medicamentos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "medicamentoID,  	nome_fantasia,  	nome_generico,  	indicacao,  	posologia,  	reacoes_adversas";
$proto0["m_strFrom"] = "FROM `tb_lista medicamentos`";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "medicamentoID",
	"m_strTable" => "tb_lista medicamentos",
	"m_srcTableName" => "tb_lista medicamentos"
));

$proto6["m_sql"] = "medicamentoID";
$proto6["m_srcTableName"] = "tb_lista medicamentos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "nome_fantasia",
	"m_strTable" => "tb_lista medicamentos",
	"m_srcTableName" => "tb_lista medicamentos"
));

$proto8["m_sql"] = "nome_fantasia";
$proto8["m_srcTableName"] = "tb_lista medicamentos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "nome_generico",
	"m_strTable" => "tb_lista medicamentos",
	"m_srcTableName" => "tb_lista medicamentos"
));

$proto10["m_sql"] = "nome_generico";
$proto10["m_srcTableName"] = "tb_lista medicamentos";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "indicacao",
	"m_strTable" => "tb_lista medicamentos",
	"m_srcTableName" => "tb_lista medicamentos"
));

$proto12["m_sql"] = "indicacao";
$proto12["m_srcTableName"] = "tb_lista medicamentos";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "posologia",
	"m_strTable" => "tb_lista medicamentos",
	"m_srcTableName" => "tb_lista medicamentos"
));

$proto14["m_sql"] = "posologia";
$proto14["m_srcTableName"] = "tb_lista medicamentos";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "reacoes_adversas",
	"m_strTable" => "tb_lista medicamentos",
	"m_srcTableName" => "tb_lista medicamentos"
));

$proto16["m_sql"] = "reacoes_adversas";
$proto16["m_srcTableName"] = "tb_lista medicamentos";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "tb_lista medicamentos";
$proto19["m_srcTableName"] = "tb_lista medicamentos";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "medicamentoID";
$proto19["m_columns"][] = "nome_fantasia";
$proto19["m_columns"][] = "nome_generico";
$proto19["m_columns"][] = "indicacao";
$proto19["m_columns"][] = "posologia";
$proto19["m_columns"][] = "reacoes_adversas";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "`tb_lista medicamentos`";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "tb_lista medicamentos";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_lista medicamentos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_lista_medicamentos = createSqlQuery_tb_lista_medicamentos();


	
		;

						

$tdatatb_lista_medicamentos[".sqlquery"] = $queryData_tb_lista_medicamentos;

$tableEvents["tb_lista medicamentos"] = new eventsBase;
$tdatatb_lista_medicamentos[".hasEvents"] = false;

?>